You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@lucy.apache.org by nw...@apache.org on 2015/07/24 21:01:39 UTC

lucy-clownfish git commit: Backport CI setup to 0.4 branch

Repository: lucy-clownfish
Updated Branches:
  refs/heads/0.4 ac03eb765 -> fcffe7f10


Backport CI setup to 0.4 branch


Project: http://git-wip-us.apache.org/repos/asf/lucy-clownfish/repo
Commit: http://git-wip-us.apache.org/repos/asf/lucy-clownfish/commit/fcffe7f1
Tree: http://git-wip-us.apache.org/repos/asf/lucy-clownfish/tree/fcffe7f1
Diff: http://git-wip-us.apache.org/repos/asf/lucy-clownfish/diff/fcffe7f1

Branch: refs/heads/0.4
Commit: fcffe7f10e431253e844b965954f26a36a8a7910
Parents: ac03eb7
Author: Nick Wellnhofer <we...@aevum.de>
Authored: Fri Jul 24 20:32:45 2015 +0200
Committer: Nick Wellnhofer <we...@aevum.de>
Committed: Fri Jul 24 20:36:45 2015 +0200

----------------------------------------------------------------------
 .travis.yml                  | 31 ++++++++++++++++++++++
 appveyor.yml                 | 17 ++++++++++++
 devel/bin/appveyor-build.bat | 40 ++++++++++++++++++++++++++++
 devel/bin/travis-test.sh     | 56 +++++++++++++++++++++++++++++++++++++++
 4 files changed, 144 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/lucy-clownfish/blob/fcffe7f1/.travis.yml
----------------------------------------------------------------------
diff --git a/.travis.yml b/.travis.yml
new file mode 100644
index 0000000..5b7ae15
--- /dev/null
+++ b/.travis.yml
@@ -0,0 +1,31 @@
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+language: perl
+# Override Travis' default Perl installation script.
+install: 'true'
+script: devel/bin/travis-test.sh
+env:
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=c
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.20
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.18
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.16
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.14
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.12
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.10
+  - LUCY_DEBUG=1 CLOWNFISH_HOST=perl PERL_VERSION=5.8
+git:
+  depth: 10
+

http://git-wip-us.apache.org/repos/asf/lucy-clownfish/blob/fcffe7f1/appveyor.yml
----------------------------------------------------------------------
diff --git a/appveyor.yml b/appveyor.yml
new file mode 100644
index 0000000..c153317
--- /dev/null
+++ b/appveyor.yml
@@ -0,0 +1,17 @@
+environment:
+  global:
+    LUCY_DEBUG: 1
+  matrix:
+    - CLOWNFISH_HOST: c
+      MSVC_VERSION: 10
+    - CLOWNFISH_HOST: c
+      MSVC_VERSION: 12
+#    - CLOWNFISH_HOST: perl
+
+build: off
+
+test_script:
+  - 'devel\bin\appveyor-build.bat'
+
+clone_depth: 10
+

http://git-wip-us.apache.org/repos/asf/lucy-clownfish/blob/fcffe7f1/devel/bin/appveyor-build.bat
----------------------------------------------------------------------
diff --git a/devel/bin/appveyor-build.bat b/devel/bin/appveyor-build.bat
new file mode 100644
index 0000000..b7d05e6
--- /dev/null
+++ b/devel/bin/appveyor-build.bat
@@ -0,0 +1,40 @@
+@echo off
+
+if "%CLOWNFISH_HOST%" == "c" goto test_c
+if "%CLOWNFISH_HOST%" == "perl" goto test_perl
+
+echo unknown CLOWNFISH_HOST: %CLOWNFISH_HOST%
+exit /b 1
+
+:test_c
+
+if "%MSVC_VERSION%" == "10" goto msvc_10
+
+call "C:\Program Files (x86)\Microsoft Visual Studio %MSVC_VERSION%.0\VC\vcvarsall.bat" amd64
+goto msvc_build
+
+:msvc_10
+call "C:\Program Files\Microsoft SDKs\Windows\v7.1\Bin\SetEnv.cmd" /x64
+
+:msvc_build
+
+cd compiler\c
+call configure && nmake && nmake test || exit /b
+
+cd ..\..\runtime\c
+call configure && nmake && nmake test
+
+exit /b
+
+:test_perl
+
+perl -V
+
+cd compiler\perl
+perl Build.PL && call Build && call Build test || exit /b
+
+cd ..\..\runtime\perl
+perl Build.PL && call Build && call Build test
+
+exit /b
+

http://git-wip-us.apache.org/repos/asf/lucy-clownfish/blob/fcffe7f1/devel/bin/travis-test.sh
----------------------------------------------------------------------
diff --git a/devel/bin/travis-test.sh b/devel/bin/travis-test.sh
new file mode 100755
index 0000000..c1859fa
--- /dev/null
+++ b/devel/bin/travis-test.sh
@@ -0,0 +1,56 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# Exit if any command returns non-zero.
+set -e
+
+# Print all commands before executing.
+set -x
+
+test_c() {
+    cd compiler/c
+    ./configure
+    make -j test
+    cd ../../runtime/c
+    ./configure
+    make -j test
+}
+
+test_perl() {
+    perlbrew switch $PERL_VERSION
+    cd compiler/perl
+    cpanm --quiet --installdeps --notest .
+    perl Build.PL
+    ./Build test
+    cd ../../runtime/perl
+    cpanm --quiet --installdeps --notest .
+    perl Build.PL
+    ./Build test
+}
+
+case $CLOWNFISH_HOST in
+    perl)
+        test_perl
+        ;;
+    c)
+        test_c
+        ;;
+    *)
+        echo "unknown CLOWNFISH_HOST: $CLOWNFISH_HOST"
+        exit 1
+esac
+